<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve the question 2 solution.</p>
		<button onclick="productArray()">product of array elements under a given modulo</button>
		<p id="demo"></p>

		<script>
			function productArray() {
				var array_size;
				var j,i;
				var product;
				var modulo_No;
				var output = "";
				var test_case = prompt("Please enter no of test case : ");
				for(j=0;j<test_case;j++) {
					array_size = prompt(`Please enter size of array ${j+1}: `);
					var array = [];
					product =1;
					for(i=0;i<array_size;i++){
						array.push(prompt(`please enter ${i+1} element of ${j+1} array: `));
					}
					modulo_No = prompt(`Please enter modulo no for array ${j+1}: `);
					for(i=0;i<array_size;i++){
						product  *= array[i]%modulo_No;
					}
					output += `Your ${j+1} given array is : `+array+`<br> Your product of array elements under a given modulo ${modulo_No} : `+product+"<br><br><br>";
				}	
				document.getElementById("demo").innerHTML = output;
			}
		</script>

	</body>
</html>